Bug 613433 - kernel update should not change default from "other"
Summary: kernel update should not change default from "other"
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: grubby   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-11 14:40 UTC by Andi Kleen
Modified: 2011-05-26 18:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-26 18:24:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andi Kleen 2010-07-11 14:40:15 UTC
I have a grub config that defaults to booting another partition.

Everytime the kernel is updated the grub updater changes that back
to the first kernel.

When the default in grub is set to a non fedora kernel it should never change that.

Comment 1 Chuck Ebbert 2010-07-13 19:23:45 UTC
Just edit /etc/sysconfig/kernel and set UPDATEDEFAULT=no

Doing that automatically is probably too difficult to get right for everyone.

Comment 2 Andi Kleen 2010-07-13 20:11:24 UTC
if (default points to vmlinuz-$(uname -r)) 
   update
else
   do not update

not difficult at all.


Note You need to log in before you can comment on or make changes to this bug.